set(BUILD_TESTING OFF)
add_subdirectory(FileDbDs)

include(CTest)

add_test(NAME EndToEnd COMMAND pytest -v "${CMAKE_CURRENT_SOURCE_DIR}")
set_tests_properties(EndToEnd PROPERTIES ENVIRONMENT
  "FILEDBDS_PATH=$<TARGET_FILE:FileDb::DeviceServer>;TANGO_ADMIN_PATH=$<TARGET_FILE:tango_admin>")
